# Class AbstractAppController

#### Hierarchy

- AbstractAppController

- Defined in src/controllers/AbstractAppController.js:84

#####
Index

### Constructors

constructor

### Properties

$scope
backgroundLayerMgr_
defaultLang
dimensions
displaywindowContent
displaywindowDraggableContainment
displaywindowHeight
displaywindowOpen
displaywindowTitle
displaywindowUrl
displaywindowWidth
drawFeatureLayer
filterSelectorActive
filterSelectorEnabled
gettextCatalog
gmfThemeManager
gmfThemes
gmfTreeManager_
gmfUser
hasEditableLayers
hasPrivateLayers
lang
langUrls
loading
loginActive
loginRedirectUrl
manageResize
map
mapToolsGroup
ngeoLocation
ngeoMapQuerent_
options
permalink_
postLoading
queryActive
resizeTransition
stateManager
tmhDynamicLocale
updateHasEditableLayers_

### Methods

initLanguage
setDefaultBackground_
switchLanguage

## Constructors

### constructor

- new AbstractAppController($scope, $injector, mobile?): AbstractAppController

- Application abstract controller.

  Used functionalities:

  - `open_panel`: When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  - ##### `Optional` mobile: boolean

    Is mobile.

  #### Returns AbstractAppController

  #### Ngdoc

  controller

  #### Ng Inject

  - Defined in src/controllers/AbstractAppController.js:84

## Properties

### $scope

$scope: IScope

- Defined in src/controllers/AbstractAppController.js:483

### backgroundLayerMgr_

backgroundLayerMgr_: MapBackgroundLayerManager

- Defined in src/controllers/AbstractAppController.js:439

### defaultLang

defaultLang: any

Default language

- Defined in src/controllers/AbstractAppController.js:495

### dimensions

dimensions: Object

- Defined in src/controllers/AbstractAppController.js:414

### displaywindowContent

displaywindowContent: string

- Defined in src/controllers/AbstractAppController.js:594
- Defined in src/controllers/AbstractAppController.js:635

### displaywindowDraggableContainment

displaywindowDraggableContainment: string

- Defined in src/controllers/AbstractAppController.js:640

### displaywindowHeight

displaywindowHeight: string

- Defined in src/controllers/AbstractAppController.js:556
- Defined in src/controllers/AbstractAppController.js:645

### displaywindowOpen

displaywindowOpen: boolean

- Defined in src/controllers/AbstractAppController.js:550
- Defined in src/controllers/AbstractAppController.js:650

### displaywindowTitle

displaywindowTitle: string

- Defined in src/controllers/AbstractAppController.js:549
- Defined in src/controllers/AbstractAppController.js:655

### displaywindowUrl

displaywindowUrl: string

- Defined in src/controllers/AbstractAppController.js:580
- Defined in src/controllers/AbstractAppController.js:660

### displaywindowWidth

displaywindowWidth: string

- Defined in src/controllers/AbstractAppController.js:553
- Defined in src/controllers/AbstractAppController.js:665

### drawFeatureLayer

drawFeatureLayer: FeatureOverlay

- Defined in src/controllers/AbstractAppController.js:245

### filterSelectorActive

filterSelectorActive: boolean

- Defined in src/controllers/AbstractAppController.js:366

### filterSelectorEnabled

filterSelectorEnabled: boolean

- Defined in src/controllers/AbstractAppController.js:359
- Defined in src/controllers/AbstractAppController.js:456

### gettextCatalog

gettextCatalog: gettextCatalog

The gettext catalog

- Defined in src/controllers/AbstractAppController.js:509

### gmfThemeManager

gmfThemeManager: any

- Defined in src/controllers/AbstractAppController.js:259

### gmfThemes

gmfThemes: any

Themes service

- Defined in src/controllers/AbstractAppController.js:271

### gmfTreeManager_

gmfTreeManager_: any

- Defined in src/controllers/AbstractAppController.js:264

### gmfUser

gmfUser: any

- Defined in src/controllers/AbstractAppController.js:387
- Defined in src/controllers/AbstractAppController.js:394
- Defined in src/controllers/AbstractAppController.js:397

### hasEditableLayers

hasEditableLayers: boolean

- Defined in src/controllers/AbstractAppController.js:301

### hasPrivateLayers

hasPrivateLayers: boolean

- Defined in src/controllers/AbstractAppController.js:334
- Defined in src/controllers/AbstractAppController.js:337

### lang

lang: string

- Defined in src/controllers/AbstractAppController.js:488
- Defined in src/controllers/AbstractAppController.js:721

### langUrls

langUrls: any

Languages URL

- Defined in src/controllers/AbstractAppController.js:502

### loading

loading: boolean

Checks if the themes are loaded

- Defined in src/controllers/AbstractAppController.js:278
- Defined in src/controllers/AbstractAppController.js:280

### loginActive

loginActive: boolean

- Defined in src/controllers/AbstractAppController.js:321
- Defined in src/controllers/AbstractAppController.js:402

### loginRedirectUrl

loginRedirectUrl: string

URL to redirect to after login success.

- Defined in src/controllers/AbstractAppController.js:317
- Defined in src/controllers/AbstractAppController.js:320
- Defined in src/controllers/AbstractAppController.js:327

### manageResize

manageResize: boolean

Whether to update the size of the map on browser window resize.

- Defined in src/controllers/AbstractAppController.js:603

### map

map: Map

- Defined in src/controllers/AbstractAppController.js:230

### mapToolsGroup

mapToolsGroup: string

- Defined in src/controllers/AbstractAppController.js:516

### ngeoLocation

ngeoLocation: StatemanagerLocation

Location service

- Defined in src/controllers/AbstractAppController.js:220

### ngeoMapQuerent_

ngeoMapQuerent_: MapQuerent

- Defined in src/controllers/AbstractAppController.js:468

### options

options: any

- Defined in src/controllers/AbstractAppController.js:88

### permalink_

permalink_: any

Permalink service

- Defined in src/controllers/AbstractAppController.js:296

### postLoading

postLoading: boolean

This property is set to `true` when the themes change after a successful login

- Defined in src/controllers/AbstractAppController.js:289

### queryActive

queryActive: boolean

The active state of the ngeo query directive.

- Defined in src/controllers/AbstractAppController.js:463

### resizeTransition

resizeTransition: number

The duration (milliseconds) of the animation that may occur on the div containing the map. Used to smoothly resize the map while the animation is in progress.

- Defined in src/controllers/AbstractAppController.js:612

### stateManager

stateManager: StatemanagerService

- Defined in src/controllers/AbstractAppController.js:473

### tmhDynamicLocale

tmhDynamicLocale: IDynamicLocale

- Defined in src/controllers/AbstractAppController.js:478

### updateHasEditableLayers_

updateHasEditableLayers_: typeof __function

- Defined in src/controllers/AbstractAppController.js:306

## Methods

### initLanguage

- initLanguage(): void

- #### Returns void

  - Defined in src/controllers/AbstractAppController.js:726

### setDefaultBackground_

- setDefaultBackground_(theme): void

- #### Parameters

  - ##### theme: any

    Theme.

  #### Returns void

  - Defined in src/controllers/AbstractAppController.js:757

### switchLanguage

- switchLanguage(lang): void

- #### Parameters

  - ##### lang: string

    Language code.

  #### Returns void

  - Defined in src/controllers/AbstractAppController.js:714

Generated using TypeDoc